@use "sass:map";

$base: (
  // accent palette
  accent-default: #547aff,
  accent-lighter:#909ffe,
  accent-darker: #2147a0,
  accent-focus: #bfdefa,

  // content colors
  neutral-primary-color: #fefefe,
  neutral-primary-reversed: #121212,
  neutral-secondary: #c7c7c7,

  alert-info: #494949,
  alert-positive: #28a36a,
  alert-negative: #cf3525,
  alert-warning: #e7c900,

  // Stroke colors
  stroke-default: #c7c7c7,
  stroke-darker: #121212,
  stroke-action: #82c3ff,

  // Background colors
  neutral-background: #121212,
  neutral-ground: #333333,
  neutral-underground: #494949,
  neutral-component: #545454
);

$gabrielle: (
  font-family: "Roboto",
  font-color: #ffffff,

  // Status palette
  status-focus: map.get($base, "accent-default"),
  status-active: map.get($base, "alert-positive"),
  status-danger: map.get($base, "alert-negative"),
  status-busy: map.get($base, "alert-warning"),

  // Panel palette
  panel-background: #262626,
  panel-background-selected: #383838,
  panel-background-hovered: #353535,
  panel-background-focused: #7eb2c3,

  panel-text: #8e8e8e,
  panel-text-selected: #ebebeb,
  panel-text-focused: #222222,
  panel-icon: #555555,
  panel-icon-inactive: #353535,
  panel-icon-active: #8e8e8e,

  // Item palette
  item-background: #383838,
  item-background-selected: #454545,
  item-background-hovered: #505050,
  item-background-focused: #7eb2c3,

  item-text: #8e8e8e,
  item-text-selected: #ebebeb,
  item-text-focused: #383838,
  item-icon-active: #8e8e8e,
  item-icon-inactive: #353535,

  // Field palette
  field-focused: map.get($base, "accent-default"),
  field-danger: map.get($base, "alert-negative"),
  field-busy: map.get($base, "alert-warning"),
  field-label: rgba(255, 255, 255, 0.6),

  field-border-bottom: map.get($base, "stroke-default"),

  field-background-editable: map.get($base, "neutral-ground"),
  field-background-disabled: #121212,

  field-text: map.get($base, "neutral-primary-color"),
  field-text-disabled: #393939,
  field-text-placeholder: map.get($base, "font-color"),

  // Button color palette
  button-primary: map.get($base, "accent-default"),
  button-primary-hover: map.get($base, "accent-focus"),
  button-primary-pressed: map.get($base, "accent-focus"),

  button-primary-label: #fefefe,
  button-primary-hover-label: #121212,
  button-primary-outlined-label: map.get($base, "accent-default"),

  button-primary-outlined: map.get($base, "accent-default"),
  button-primary-outlined-hover: map.get($base, "accent-focus"),
  button-primary-outlined-pressed: map.get($base, "accent-focus"),

  button-secondary: map.get($base, "accent-lighter"),
  button-secondary-hover: map.get($base, "accent-focus"),
  button-secondary-pressed: map.get($base, "accent-focus"),

  button-secondary-label: #121212,
  button-secondary-hover-label: #121212,
  button-secondary-outlined-label: map.get($base, "accent-lighter"),

  button-secondary-outlined: map.get($base, "accent-lighter"),
  button-secondary-outlined-hover: map.get($base, "accent-focus"),
  button-secondary-outlined-pressed: map.get($base, "accent-focus"),

  button-disabled-label: rgba(255, 255, 255, 0.7),
  button-disabled: map.get($base, "neutral-component"),

  button-disabled-outlined-label: rgba(255, 255, 255, 0.6),
  button-disabled-outlined: map.get($base, "neutral-component"),

  button-danger: #d84b52,
  button-danger-hover: #bf4348,
  button-danger-pressed: #e66168,

  button-danger-label: #ebebeb,

  button-danger-outlined: #d84b52,
  button-danger-outlined-hover: rgba(#bf4348, 0.1),
  button-danger-outlined-pressed: rgba(#bf4348, 0.24),

  button-danger-outlined-label: #d84b52,

  // Button corners palette
  button-default-radius: 4px,

  // Connector palette
  connector-hdmi: map.get($base, "connector-hdmi"),
  connector-usb: map.get($base, "connector-usb"),
  connector-jack: map.get($base, "connector-jack"),
  connector-background: map.get($base, "neutral-background")
);
